<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if ($ya['level'] > 5) {
switch($mode) {
////Реклама
case 'newba':
$diz -> head('Баннеры');
$diz -> title('Новый баннер');
if (empty($_POST['name']) || empty($_POST['url']) || empty($_POST['img'])) {
$msg .= '<div class="fon"><form action="?mode=newba" method="post"><div>
Название:<br/><input type="text" name="name" value="" maxlength="12"/></br>
Ссылка:<br/><input type="text" name="url" value="" maxlength="48"/></br>
Ссылка на изображение:<br/><input type="text" name="img" value="" maxlength="48"/></br>
Время действия ссылки:<br/><input type="text" name="time" maxlength="3"/><br/>
<select name="date"><option value="3600">Часов</option><option value="86400">Суток</option>
<option value="604800">Недель</option><option value="18144000">Месяцев</option></select><br/>
<input type="submit" value="Добавить"/></form></div>';
} else {
$name =shit($_POST['name']); 
$url =shit($_POST['url']); 
$url = strtr($url, array('http://' => ''));
$img =shit($_POST['img']); 
$img = strtr($img, array('http://' => ''));
$date = abs(intval(htmlentities($db -> real_escape_string($_POST['date']))));
$time = abs(intval(htmlentities($db -> real_escape_string($_POST['time']))));
$times = time() + ($time * $date);
$db -> query("Insert `reklama` SET `title` = '".$name."',`url` = '".$url."',`img` = '".$img."',`type` = 'ban',`time` = '".$times."'");
$msg .= '<div class="fon">Баннер '.$_POST['name'].' успешно добавлен в список показа!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="?">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;  
case 'baner':
$sql = $db -> query("SELECT * FROM `reklama` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$menu = $sql -> fetch_assoc();
$diz -> head('Баннеры');
$diz -> title('Изменяем баннер');
$msg .= 'Действителен до: '.$func->vremja($menu['time']).'<hr/>';
if (empty($_POST['name']) || empty($_POST['url']) || empty($_POST['img'])) {
$msg .= '<div class="fon"><form action="?mode=baner&amp;id='.$id.'" method="post"><div>
Заголовок:<br/><input type="text" name="name" value="'.$menu['title'].'" maxlength="12"/></br>
Ссылка:<br/><input type="text" name="url" value="'.$menu['url'].'" maxlength="48"/></br>
Ссылка на изображение:<br/><input type="text" name="img" value="'.$menu['img'].'" maxlength="48"/></br>';
$msg .= 'Продлить время действия на:<br/><input type="text" name="time" maxlength="3"/><br/>
<select name="date"><option value="3600">Часов</option><option value="86400">Суток</option>
<option value="604800">Недель</option><option value="18144000">Месяцев</option></select><br/>
<input type="submit" value="Изменить"/></form></div>';
} else {
$name =shit($_POST['name']); 
$url =shit($_POST['url']); 
$url = strtr($url, array('http://' => ''));
$img =shit($_POST['img']); 
$img = strtr($img, array('http://' => ''));
$date = abs(intval(htmlentities($db -> real_escape_string($_POST['date']))));
$time = abs(intval(htmlentities($db -> real_escape_string($_POST['time']))));
$times = $menu['time'] + ($time * $date);
$db -> query("UPDATE `reklama` SET `title` = '".$name."',`url` = '".$url."',`img` = '".$img."',`time` = '".$times."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Изменения приняты!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="?">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('Location: ?');
break;
////Рекламные ссылки
case 'sil':
$diz -> head('Рекламные ссылки');
$diz -> title('Новая ссылка');
if (empty($_POST['title']) || empty($_POST['url']) || empty($_POST['date'])) {
$msg .= '<div class="fon"><form action="?mode=sil" method="post"><div>
Название:<br/><input type="text" name="title" value="" maxlength="24"/></br>';
$msg .= 'Ссылка:<br/><input type="text" name="url" value="" maxlength="48"/></br>';
$msg .= 'Время действия ссылки:<br/><input type="text" name="time" maxlength="3"/><br/>
<select name="date"><option value="3600">Часов</option><option value="86400">Суток</option>
<option value="604800">Недель</option><option value="18144000">Месяцев</option></select><br/>';
$msg .= 'Позиция:<br/><select name="poz"><option value="0">Вверху</option><option value="1">Внизу</option></select></br>
<input type="submit" value="Добавить"/></form></div>';
} else {
$name =shit($_POST['title']); 
$date = abs(intval(htmlentities($db -> real_escape_string($_POST['date']))));
$time = abs(intval(htmlentities($db -> real_escape_string($_POST['time']))));
$poz = shit($_POST['poz']); 
$url = shit($_POST['url']); 
$url = strtr($url, array('http://' => ''));
$times = time() + ($time * $date);
$db -> query("Insert `reklama` SET `title` = '".$name."',`url` = '".$url."',`poz` = '".$poz."',`type` = 'url',`time` = '".$times."'");
$msg .= '<div class="fon">Рекламная ссылка '.$_POST['name'].' успешно добавлена!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="?">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;  

case 'menu':
$sql = $db -> query("SELECT * FROM `reklama` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
$menu = $sql -> fetch_assoc();
$diz -> head('Рекламная ссылка');
$diz -> title('Изменяем данные');
if (empty($_POST['name']) || empty($_POST['url'])) {
$array=array('0'=>'Сверху','1'=>'Снизу');
$stat = null;
foreach ($array as $key => $value) {
if ($menu['poz'] == $key) $stat .= '<option selected value="'.$key.'">'.$value.'</option>';
else $stat .= '<option value="'.$key.'">'.$value.'</option>';
}
$msg .= '<div class="fon">Действительна до: '.$func->vremja($menu['time']).'<hr/>';

$msg .= '<form action="?mode=menu&amp;id='.$id.'" method="post"><div>
Название:<br/><input type="text" name="name" value="'.$menu['title'].'" maxlength="24"/></br>';
$msg .= 'Ссылка:<br/><input type="text" name="url" value="'.$menu['url'].'" maxlength="48"/></br>';
$msg .= 'Позиция:</br><select name="poz">'.$stat.'</select></br>';
$msg .= 'Продлить время действия на:<br/><input type="text" name="time" maxlength="3"/><br/>
<select name="date"><option value="3600">Часов</option><option value="86400">Суток</option>
<option value="604800">Недель</option><option value="18144000">Месяцев</option></select><br/>
<input type="submit" value="Изменить"/></form></div>';
} else {
$name =shit($_POST['name']); 
$date = abs(intval(htmlentities($db -> real_escape_string($_POST['date']))));
$time = abs(intval(htmlentities($db -> real_escape_string($_POST['time']))));
$poz = shit($_POST['poz']); 
$url = shit($_POST['url']); 
$url = strtr($url, array('http://' => ''));
$times = $menu['time'] + ($time * $date);
$db -> query("UPDATE `reklama` SET `title` = '".$name."',`url` = '".$url."',`poz` = '".$poz."',`time` = '".$times."' WHERE `id` = '".$id."'");
$msg .= '<div class="fon">Изменения приняты!</div>';
}
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="?">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
} else header('Location: ?');
break;

case 'del':
$sql = $db -> query("SELECT * FROM `reklama` WHERE `id` = '".$id."'");
if ($sql -> num_rows > 0) {
switch($do) {
case 'yes':
$db -> query("DELETE FROM `reklama` where `id` = '".$id."'");
$diz -> head('Удаление рекламы');
$diz -> title('Управление рекламой');
$msg .= '<div class="fon">Реклама была успешно удалена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="?">Назад</a>';
$msg .= '</br>'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../index.php">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
break;
default:
$diz -> head('Удаление рекламы');
$diz -> title('Удаление рекламы');
$msg .= '<div class="fon">Вы уверены,что хотите удалить данную рекламу?';
$msg .= '<br/><a href="?mode=del&amp;do=yes&amp;id='.$id.'">Да</a> | ';
$msg .= '<a href="?">Нет</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);}
} else header('Location: ?');
break;

default:
$diz -> head('Реклама');
$diz -> title('Реклама');
$msg.='<div class="spisok">Рекламные ссылки:</div>';
$sql = $db -> query("SELECT * FROM `reklama` where `type`='url' ORDER BY `time` ASC");
if ($sql -> num_rows > 0) {
while ($r = $sql -> fetch_assoc()) {
$msg .='<div class="spisok">'.$r['id'].') '.$r['name'].' (http://'.$r['url'].')</br>Действительна до: '.$func->vremja($r['time']).'</br>';
if($r['poz']=='0'){$msg .='Позиция: Сверху!';}else{$msg .='Позиция: Снизу';}
$msg .='</br><a href="./reklama.php?mode=menu&amp;id='.$r['id'].'">Редактировать</a>';
$msg.=' | <a href="./reklama.php?mode=del&amp;id='.$r['id'].'">Удалить</a></div>';
}
}else{$msg.='<div class="fon">Рекламных ссылок пока нет!</div>';}
$msg.='<div class="spisok">Баннеры:</div>';
$sql = $db -> query("SELECT * FROM `reklama` where `type`='ban' ORDER BY `id` ASC");
if ($sql -> num_rows > 0) {
while ($b = $sql -> fetch_assoc()) {
$msg .='<div class="spisok">'.$b['id'].') '.$b['name'].' (http://'.$b['url'].')</br>Изображение: <img src="http://'.$b['img'].'" alt="*" /></br>Действительна до: '.$func->vremja($b['time']).'</br>';
$msg .='</br><a href="./reklama.php?mode=baner&amp;id='.$b['id'].'">Редактировать</a>';
$msg.=' | <a href="./reklama.php?mode=del&amp;id='.$b['id'].'">Удалить</a></div>';
}
}else{$msg.='<div class="fon">Активных баннеров пока нет!</div>';}
$msg .= '<div class="tochechki"><a href="?mode=sil">Добавить рекламу</a></br>';
$msg .= '<a href="?mode=newba">Добавить баннер</a></div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="./">Админка</a>';
$msg .= '<br/>'.$diz -> img('home.png').'<a href="../">На главную</a></div>';
#####Копирайт#######
require_once (ROOT.'system/kopy.php');
$diz -> out($msg);
}
}else{$msg .='У вас нету прав!';}
} else header('location: index.php');
?>